# Asterisk Project : Asterisk 13 Application_UserEvent

Created by wikibot on Aug 08, 2014

# UserEvent()

### Synopsis

Send an arbitrary user-defined event to parties interested in a channel (AMI users and relevant res_stasis applications).

### Description

Sends an arbitrary event to interested parties, with an optional body representing additional arguments. The body may be specified as a `,` delimited list of key:value pairs.

For AMI, each additional argument will be placed on a new line in the event and the format of the event will be:

Event: UserEvent

UserEvent: <specified event name>

[body]

If no body is specified, only Event and UserEvent headers will be present.

For res_stasis applications, the event will be provided as a JSON blob with additional arguments appearing as keys in the object and the eventname under the eventname key.

### Syntax

    UserEvent(eventname,[body])

##### Arguments

- `eventname`
- `body`

### See Also

### Import Version

This documentation was imported from Asterisk Version SVN-branch-13-r420538